package com.jpsoft.smart.lapi.handler;

import cn.hutool.json.JSONObject;
import com.jpsoft.smart.lapi.dto.HeartReportInfo;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.handler.codec.http.FullHttpRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Slf4j
@Component
@ChannelHandler.Sharable
public class HeartReportHandler extends SimpleChannelInboundHandler<HeartReportInfo> {
    @Override
    protected void channelRead0(ChannelHandlerContext channelHandlerContext, HeartReportInfo heartReportInfo) throws Exception {
        log.warn(heartReportInfo.toString());
    }
}
